Bug 7355

Summary: Note subfields are not displayed in TEXTAREA if hidden
Product: Koha Reporter: Frédéric Demians <frederic>
Component: CatalogingAssignee: Frédéric Demians <frederic>
Status: CLOSED FIXED QA Contact: Marcel de Rooy <m.de.rooy>
Severity: enhancement    
Priority: P3 CC: katrin.fischer, m.de.rooy, paul.poulain
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: ---
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Attachments: Proposed patch
Proposed patch
[SIGNED-OFF] Bug 7355 Note subfields are not displayed in TEXTAREA if hidden
[PASSED_QA] Patch

Description Frédéric Demians 2011-12-14 07:50:59 UTC
In the data entry form, there is a (hidden) functionality for note subfields. MARC21 500-599 and UNIMARC 300-399 subfields are displayed in TEXTAREA rather than INPUT tags. This is good since usually notes can be pretty long. But if one of those fields is marked in the framework as 'hidden', then it isn't displayed at first when you create a record and when you expand the field by clicking on its label the field is displayed in a one-line INPUT tag.

To reproduce this bug:

- Modify your framework:
  MARC21: 500$a, hidden=1 
  UNIMARC: 300$a, hidden=1
- Create a new biblio record with this framework
- Open the tab containing 500 or 300 field
- 500 or 300 tab is collapsed
- Click on 500 or 300 label to expand the field
- 500$a or 300$a is displayed in a one-line INPUT tag, not in a TEXTAREA
  as it should
Comment 1 Frédéric Demians 2011-12-14 07:55:03 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-12-16 06:48:37 UTC
Hi Frederic, 

there is a syntax error in your patch:
syntax error at /home/katrin/kohaclone/cataloguing/addbiblio.pl line 471, near "else"
Global symbol "$value" requires explicit package name at /home/katrin/kohaclone/cataloguing/addbiblio.pl line 474.
Global symbol "$tag" requires explicit package name at /home/katrin/kohaclone/cataloguing/addbiblio.pl line 476.
Global symbol "$tag" requires explicit package name at /home/katrin/kohaclone/cataloguing/addbiblio.pl line 477.
Global symbol "$subfield" requires explicit package name at /home/katrin/kohaclone/cataloguing/addbiblio.pl line 477.
Global symbol "$tag" requires explicit package name at /home/katrin/kohaclone/cataloguing/addbiblio.pl line 478.
Global symbol "$tag" requires explicit package name at /home/katrin/kohaclone/cataloguing/addbiblio.pl line 479.
Global symbol "%subfield_data" requires explicit package name at /home/katrin/kohaclone/cataloguing/addbiblio.pl line 483.
...

Can you check and resubmit? 

(small typo in the bug number 7335 instead of 7355)
Comment 3 Frédéric Demians 2011-12-16 07:35:05 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2011-12-18 07:20:08 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2012-02-03 10:19:57 UTC
Created attachment 7434 [details] [review]
[PASSED_QA] Patch
Comment 6 Marcel de Rooy 2012-02-03 10:20:43 UTC
Works as advertised. Simplifies code too. Well documented test plan.
Incrementing status..
Comment 7 Jared Camins-Esakov 2012-12-31 00:34:06 UTC
There have been no further reports of problems so I am marking this bug resolved.